Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractPanelMenu
                      org.richfaces.component.UIPanelMenu

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.event.ItemChangeSource

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIPanelMenu

extends AbstractPanelMenu
implements javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-10-25
Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIPanelMenu.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPanelMenu()`

Method Summary
`java.lang.String` | `getCollapseEvent()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getExpandEvent()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getGroupClass()`
`java.lang.String` | `getGroupDisabledClass()`
`org.richfaces.PanelMenuMode` | `getGroupMode()`
`javax.el.MethodExpression` | `getItemChangeListener()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getItemDisabledClass()`
`org.richfaces.PanelMenuMode` | `getItemMode()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTopGroupClass()`
`java.lang.String` | `getTopGroupDisabledClass()`
`java.lang.String` | `getTopItemClass()`
`java.lang.String` | `getTopItemDisabledClass()`
`java.lang.String` | `getWidth()`
`boolean` | `isBubbleSelection()`
`boolean` | `isDisabled()`
`boolean` | `isExpandSingle()`
`void` | `setBubbleSelection(boolean bubbleSelection)`
`void` | `setCollapseEvent(java.lang.String collapseEvent)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExpandEvent(java.lang.String expandEvent)`
`void` | `setExpandSingle(boolean expandSingle)`
`void` | `setGroupClass(java.lang.String groupClass)`
`void` | `setGroupDisabledClass(java.lang.String groupDisabledClass)`
`void` | `setGroupMode(org.richfaces.PanelMenuMode groupMode)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setItemClass(java.lang.String itemClass)`
`void` | `setItemDisabledClass(java.lang.String itemDisabledClass)`
`void` | `setItemMode(org.richfaces.PanelMenuMode itemMode)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTopGroupClass(java.lang.String topGroupClass)`
`void` | `setTopGroupDisabledClass(java.lang.String topGroupDisabledClass)`
`void` | `setTopItemClass(java.lang.String topItemClass)`
`void` | `setTopItemDisabledClass(java.lang.String topItemDisabledClass)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.richfaces.component.AbstractPanelMenu
`addItemChangeListener, broadcast, getActiveItem, getGroupCollapsedLeftIcon, getGroupCollapsedRightIcon, getGroupDisabledLeftIcon, getGroupDisabledRightIcon, getGroupExpandedLeftIcon, getGroupExpandedRightIcon, getItem, getItemChangeListeners, getItemDisabledLeftIcon, getItemDisabledRightIcon, getItemLeftIcon, getItemRightIcon, getSubmittedActiveItem, getTopGroupCollapsedLeftIcon, getTopGroupCollapsedRightIcon, getTopGroupDisabledLeftIcon, getTopGroupDisabledRightIcon, getTopGroupExpandedLeftIcon, getTopGroupExpandedRightIcon, getTopItemDisabledLeftIcon, getTopItemDisabledRightIcon, getTopItemLeftIcon, getTopItemRightIcon, getValue, isImmediate, processDecodes, queueEvent, removeItemChangeListener, setActiveItem, setEventPhase, setGroupCollapsedLeftIcon, setGroupCollapsedRightIcon, setGroupDisabledLeftIcon, setGroupDisabledRightIcon, setGroupExpandedLeftIcon, setGroupExpandedRightIcon, setImmediate, setItemDisabledLeftIcon, setItemDisabledRightIcon, setItemLeftIcon, setItemRightIcon, setSubmittedActiveItem, setTopGroupCollapsedLeftIcon, setTopGroupCollapsedRightIcon, setTopGroupDisabledLeftIcon, setTopGroupDisabledRightIcon, setTopGroupExpandedLeftIcon, setTopGroupExpandedRightIcon, setTopItemDisabledLeftIcon, setTopItemDisabledRightIcon, setTopItemLeftIcon, setTopItemRightIcon, setValue, setValueExpression`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenu

    public UIPanelMenu()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenu`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBubbleSelection

    public boolean isBubbleSelection()

  Specified by:
    `isBubbleSelection` in class `AbstractPanelMenu`

### setBubbleSelection

    public void setBubbleSelection(boolean bubbleSelection)

### getCollapseEvent

    public java.lang.String getCollapseEvent()

  Specified by:
    `getCollapseEvent` in class `AbstractPanelMenu`

### setCollapseEvent

    public void setCollapseEvent(java.lang.String collapseEvent)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `AbstractPanelMenu`

### setDisabled

    public void setDisabled(boolean disabled)

### getExpandEvent

    public java.lang.String getExpandEvent()

  Specified by:
    `getExpandEvent` in class `AbstractPanelMenu`

### setExpandEvent

    public void setExpandEvent(java.lang.String expandEvent)

### isExpandSingle

    public boolean isExpandSingle()

  Specified by:
    `isExpandSingle` in class `AbstractPanelMenu`

### setExpandSingle

    public void setExpandSingle(boolean expandSingle)

### getGroupClass

    public java.lang.String getGroupClass()

  Specified by:
    `getGroupClass` in class `AbstractPanelMenu`

### setGroupClass

    public void setGroupClass(java.lang.String groupClass)

### getGroupDisabledClass

    public java.lang.String getGroupDisabledClass()

  Specified by:
    `getGroupDisabledClass` in class `AbstractPanelMenu`

### setGroupDisabledClass

    public void setGroupDisabledClass(java.lang.String groupDisabledClass)

### getGroupMode

    public org.richfaces.PanelMenuMode getGroupMode()

  Specified by:
    `getGroupMode` in class `AbstractPanelMenu`

### setGroupMode

    public void setGroupMode(org.richfaces.PanelMenuMode groupMode)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Specified by:
    `getItemChangeListener` in class `AbstractPanelMenu`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getItemClass

    public java.lang.String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractPanelMenu`

### setItemClass

    public void setItemClass(java.lang.String itemClass)

### getItemDisabledClass

    public java.lang.String getItemDisabledClass()

  Specified by:
    `getItemDisabledClass` in class `AbstractPanelMenu`

### setItemDisabledClass

    public void setItemDisabledClass(java.lang.String itemDisabledClass)

### getItemMode

    public org.richfaces.PanelMenuMode getItemMode()

  Specified by:
    `getItemMode` in class `AbstractPanelMenu`

### setItemMode

    public void setItemMode(org.richfaces.PanelMenuMode itemMode)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenu`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenu`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenu`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenu`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenu`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenu`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenu`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `AbstractPanelMenu`

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractPanelMenu`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTopGroupClass

    public java.lang.String getTopGroupClass()

  Specified by:
    `getTopGroupClass` in class `AbstractPanelMenu`

### setTopGroupClass

    public void setTopGroupClass(java.lang.String topGroupClass)

### getTopGroupDisabledClass

    public java.lang.String getTopGroupDisabledClass()

  Specified by:
    `getTopGroupDisabledClass` in class `AbstractPanelMenu`

### setTopGroupDisabledClass

    public void setTopGroupDisabledClass(java.lang.String topGroupDisabledClass)

### getTopItemClass

    public java.lang.String getTopItemClass()

  Specified by:
    `getTopItemClass` in class `AbstractPanelMenu`

### setTopItemClass

    public void setTopItemClass(java.lang.String topItemClass)

### getTopItemDisabledClass

    public java.lang.String getTopItemDisabledClass()

  Specified by:
    `getTopItemDisabledClass` in class `AbstractPanelMenu`

### setTopItemDisabledClass

    public void setTopItemDisabledClass(java.lang.String topItemDisabledClass)

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in class `AbstractPanelMenu`

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.